
_interrupt:

;PS2IntDecoder.c,176 :: 		void interrupt(){
;PS2IntDecoder.c,179 :: 		if (INT0F_bit){
	BTFSS       INT0F_bit+0, BitPos(INT0F_bit+0) 
	GOTO        L_interrupt0
;PS2IntDecoder.c,181 :: 		if(bitCount < 11 && bitCount > 2){// If we are receiving data bits
	MOVLW       11
	SUBWF       interrupt_bitCount_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_interrupt3
	MOVF        interrupt_bitCount_L0+0, 0 
	SUBLW       2
	BTFSC       STATUS+0, 0 
	GOTO        L_interrupt3
L__interrupt39:
;PS2IntDecoder.c,182 :: 		keyData = keyData >> 1;         // Shift to the right the decoded bits
	RRCF        _keyData+0, 1 
	BCF         _keyData+0, 7 
;PS2IntDecoder.c,183 :: 		if(PORTB.B3){                   // Verify the level of the received data bit
	BTFSS       PORTB+0, 3 
	GOTO        L_interrupt4
;PS2IntDecoder.c,184 :: 		keyData = keyData | 0x80;     // if HIGH, save one on the MSB
	BSF         _keyData+0, 7 
;PS2IntDecoder.c,185 :: 		}
L_interrupt4:
;PS2IntDecoder.c,186 :: 		}
L_interrupt3:
;PS2IntDecoder.c,187 :: 		bitCount = bitCount - 1;          // Prepare for the next bit
	DECF        interrupt_bitCount_L0+0, 1 
;PS2IntDecoder.c,188 :: 		if(bitCount == 0){                // All the eight bits have been received
	MOVF        interrupt_bitCount_L0+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_interrupt5
;PS2IntDecoder.c,189 :: 		bitCount = 11;                  // Reset the bit counting
	MOVLW       11
	MOVWF       interrupt_bitCount_L0+0 
;PS2IntDecoder.c,190 :: 		dataReceived = TRUE;            // Enable for decoding the received byte
	MOVLW       1
	MOVWF       _dataReceived+0 
;PS2IntDecoder.c,191 :: 		}
L_interrupt5:
;PS2IntDecoder.c,192 :: 		INT0F_bit = 0;                    // Clear interrupt flag
	BCF         INT0F_bit+0, BitPos(INT0F_bit+0) 
;PS2IntDecoder.c,193 :: 		}
L_interrupt0:
;PS2IntDecoder.c,194 :: 		}
L_end_interrupt:
L__interrupt42:
	RETFIE      1
; end of _interrupt

_main:

;PS2IntDecoder.c,199 :: 		void main(void){
;PS2IntDecoder.c,202 :: 		ANSELB = 0;                         // Configure AN pins as digital
	CLRF        ANSELB+0 
;PS2IntDecoder.c,203 :: 		ANSELC = 0;                         // Configure AN pins as digital
	CLRF        ANSELC+0 
;PS2IntDecoder.c,204 :: 		ANSELD = 0;                         // Configure AN pins as digital
	CLRF        ANSELD+0 
;PS2IntDecoder.c,205 :: 		SLRCON = 0;                         // Configure all PORTS at the standard Slew Rate
	CLRF        SLRCON+0 
;PS2IntDecoder.c,206 :: 		TRISB = 0b00001001;                 // RB0, RB3 as inputs.
	MOVLW       9
	MOVWF       TRISB+0 
;PS2IntDecoder.c,209 :: 		WPUB = 0b00001001 ;                 // Enable individual pull-ups on input pins
	MOVLW       9
	MOVWF       WPUB+0 
;PS2IntDecoder.c,210 :: 		INTCON2.RBPU = 0;                   // Enable the pull-ups on pins on PORTB
	BCF         INTCON2+0, 7 
;PS2IntDecoder.c,213 :: 		Delay_us(5);                        // Wait for the pullups
	MOVLW       3
	MOVWF       R13, 0
L_main6:
	DECFSZ      R13, 1, 1
	BRA         L_main6
;PS2IntDecoder.c,215 :: 		INTEDG0_bit = 0;                    // Set interrupt on falling edge
	BCF         INTEDG0_bit+0, BitPos(INTEDG0_bit+0) 
;PS2IntDecoder.c,216 :: 		INT0IF_bit  = 0;                    // Clear INT0 flag
	BCF         INT0IF_bit+0, BitPos(INT0IF_bit+0) 
;PS2IntDecoder.c,217 :: 		INT0IE_bit  = 1;                    // Enable INT0 interrupts
	BSF         INT0IE_bit+0, BitPos(INT0IE_bit+0) 
;PS2IntDecoder.c,218 :: 		GIE_bit = 1;                        // Enable GLOBAL interrupts
	BSF         GIE_bit+0, BitPos(GIE_bit+0) 
;PS2IntDecoder.c,220 :: 		UART1_Init(9600);                   // Initialize UART module at 9600 bps
	BSF         BAUDCON+0, 3, 0
	CLRF        SPBRGH+0 
	MOVLW       207
	MOVWF       SPBRG+0 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;PS2IntDecoder.c,221 :: 		Delay_ms(100);                      // Wait for UART module to stabilize
	MOVLW       2
	MOVWF       R11, 0
	MOVLW       4
	MOVWF       R12, 0
	MOVLW       186
	MOVWF       R13, 0
L_main7:
	DECFSZ      R13, 1, 1
	BRA         L_main7
	DECFSZ      R12, 1, 1
	BRA         L_main7
	DECFSZ      R11, 1, 1
	BRA         L_main7
	NOP
;PS2IntDecoder.c,223 :: 		dataReceived = FALSE;               // False meanwhile a key is decoded
	CLRF        _dataReceived+0 
;PS2IntDecoder.c,224 :: 		keyData=0;                          // Initialize for start decoding the pressed key
	CLRF        _keyData+0 
;PS2IntDecoder.c,225 :: 		inPoint=0;                          // Initialize the pointer to the buffer
	CLRF        _inPoint+0 
;PS2IntDecoder.c,226 :: 		outPoint=0;                         // Initialize the flush pointer to the buffer
	CLRF        _outPoint+0 
;PS2IntDecoder.c,228 :: 		UART1_Write_Text("\r\nPC AT Keyboard Interface Ver 1.0 by XP8100\r\n");
	MOVLW       ?lstr1_PS2IntDecoder+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr1_PS2IntDecoder+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;PS2IntDecoder.c,229 :: 		UART1_Write_Text("Adapted for PIC by Redraven\r\n");
	MOVLW       ?lstr2_PS2IntDecoder+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr2_PS2IntDecoder+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;PS2IntDecoder.c,230 :: 		UART1_Write_Text("Adapted for MikroC and PIC18F45K22 by AlexBG\r\n");
	MOVLW       ?lstr3_PS2IntDecoder+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr3_PS2IntDecoder+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;PS2IntDecoder.c,231 :: 		UART1_Write_Text("PS/2 keyboard monitoring and decoder enabled...\r\n");
	MOVLW       ?lstr4_PS2IntDecoder+0
	MOVWF       FARG_UART1_Write_Text_uart_text+0 
	MOVLW       hi_addr(?lstr4_PS2IntDecoder+0)
	MOVWF       FARG_UART1_Write_Text_uart_text+1 
	CALL        _UART1_Write_Text+0, 0
;PS2IntDecoder.c,233 :: 		while(1){
L_main8:
;PS2IntDecoder.c,234 :: 		if(dataReceived){                 // If the key data has been decoded at the INT
	MOVF        _dataReceived+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main10
;PS2IntDecoder.c,235 :: 		switch(keyData){                // Check the key code
	GOTO        L_main11
;PS2IntDecoder.c,239 :: 		case 0x12:                    // Right shift
L_main13:
;PS2IntDecoder.c,240 :: 		case 0x59:                    // Left shift
L_main14:
;PS2IntDecoder.c,241 :: 		shifted = 1;
	MOVLW       1
	MOVWF       _shifted+0 
;PS2IntDecoder.c,242 :: 		break;
	GOTO        L_main12
;PS2IntDecoder.c,243 :: 		case 0x58:                    // Caps lock
L_main15:
;PS2IntDecoder.c,244 :: 		capslock = ~ capslock;
	COMF        _capslock+0, 1 
;PS2IntDecoder.c,245 :: 		break;
	GOTO        L_main12
;PS2IntDecoder.c,248 :: 		case 0x5A:                    // Enter key
L_main16:
;PS2IntDecoder.c,249 :: 		UART1_Write(13);            // ASCII carriage return
	MOVLW       13
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;PS2IntDecoder.c,250 :: 		UART1_Write(10);            // ASCII line feed (new line)
	MOVLW       10
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;PS2IntDecoder.c,251 :: 		TransmitrxBuffer();         // Send the content of the rxbuffer to the UART
	CALL        _TransmitrxBuffer+0, 0
;PS2IntDecoder.c,252 :: 		break;
	GOTO        L_main12
;PS2IntDecoder.c,253 :: 		case 0xF0:                    // Break code (key has been released)
L_main17:
;PS2IntDecoder.c,254 :: 		if(shifted && anotherkey)   // Shift key is pressed and another key was
	MOVF        _shifted+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main20
	MOVF        _anotherkey+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main20
L__main40:
;PS2IntDecoder.c,255 :: 		anotherkey = 0;           // released
	CLRF        _anotherkey+0 
	GOTO        L_main21
L_main20:
;PS2IntDecoder.c,257 :: 		if(shifted)               // Key and shift released?
	MOVF        _shifted+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main22
;PS2IntDecoder.c,258 :: 		shifted = 0;            // Yes, bring back to no shift key pressed
	CLRF        _shifted+0 
L_main22:
L_main21:
;PS2IntDecoder.c,259 :: 		break;
	GOTO        L_main12
;PS2IntDecoder.c,261 :: 		default:
L_main23:
;PS2IntDecoder.c,262 :: 		if(shifted)                 // Shift key pressed together with another one
	MOVF        _shifted+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_main24
;PS2IntDecoder.c,263 :: 		anotherkey = 1;
	MOVLW       1
	MOVWF       _anotherkey+0 
L_main24:
;PS2IntDecoder.c,264 :: 		decodedKey = Decode(keyData);
	MOVF        _keyData+0, 0 
	MOVWF       FARG_Decode_sc+0 
	CALL        _Decode+0, 0
	MOVF        R0, 0 
	MOVWF       main_decodedKey_L0+0 
;PS2IntDecoder.c,265 :: 		StoreKeyData(decodedKey);
	MOVF        R0, 0 
	MOVWF       FARG_StoreKeyData_ValueToStore+0 
	CALL        _StoreKeyData+0, 0
;PS2IntDecoder.c,266 :: 		UART1_Write(decodedKey);    // Echo to the UART
	MOVF        main_decodedKey_L0+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;PS2IntDecoder.c,267 :: 		break;
	GOTO        L_main12
;PS2IntDecoder.c,268 :: 		}
L_main11:
	MOVF        _keyData+0, 0 
	XORLW       18
	BTFSC       STATUS+0, 2 
	GOTO        L_main13
	MOVF        _keyData+0, 0 
	XORLW       89
	BTFSC       STATUS+0, 2 
	GOTO        L_main14
	MOVF        _keyData+0, 0 
	XORLW       88
	BTFSC       STATUS+0, 2 
	GOTO        L_main15
	MOVF        _keyData+0, 0 
	XORLW       90
	BTFSC       STATUS+0, 2 
	GOTO        L_main16
	MOVF        _keyData+0, 0 
	XORLW       240
	BTFSC       STATUS+0, 2 
	GOTO        L_main17
	GOTO        L_main23
L_main12:
;PS2IntDecoder.c,269 :: 		Delay_ms(10);                   // Used for debouncing the keyboard
	MOVLW       26
	MOVWF       R12, 0
	MOVLW       248
	MOVWF       R13, 0
L_main25:
	DECFSZ      R13, 1, 1
	BRA         L_main25
	DECFSZ      R12, 1, 1
	BRA         L_main25
	NOP
;PS2IntDecoder.c,270 :: 		keyData = 0x00;                 // Clean for obtaining a new scan code
	CLRF        _keyData+0 
;PS2IntDecoder.c,271 :: 		dataReceived = FALSE;           // Disable until a new complete scan code is obtained
	CLRF        _dataReceived+0 
;PS2IntDecoder.c,272 :: 		}
L_main10:
;PS2IntDecoder.c,273 :: 		}
	GOTO        L_main8
;PS2IntDecoder.c,274 :: 		}
L_end_main:
	GOTO        $+0
; end of _main

_Decode:

;PS2IntDecoder.c,279 :: 		char Decode(unsigned short scan_code){
;PS2IntDecoder.c,310 :: 		if(capslock){                       // If CAPS LOCK detected,
	MOVF        _capslock+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_Decode26
;PS2IntDecoder.c,311 :: 		for (i=0; i<26; i++){             // Look for a capital letter only
	CLRF        Decode_i_L0+0 
	CLRF        Decode_i_L0+1 
L_Decode27:
	MOVLW       128
	XORWF       Decode_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Decode45
	MOVLW       26
	SUBWF       Decode_i_L0+0, 0 
L__Decode45:
	BTFSC       STATUS+0, 0 
	GOTO        L_Decode28
;PS2IntDecoder.c,312 :: 		if(scan_code == CapitalLetters[i][0])
	MOVF        Decode_i_L0+0, 0 
	MOVWF       R0 
	MOVF        Decode_i_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	BTFSC       Decode_i_L0+1, 7 
	MOVLW       255
	MOVWF       R2 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVLW       Decode_CapitalLetters_L0+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(Decode_CapitalLetters_L0+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(Decode_CapitalLetters_L0+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVF        FARG_Decode_scan_code+0, 0 
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_Decode30
;PS2IntDecoder.c,313 :: 		return(CapitalLetters[i][1]); // return capital letter
	MOVF        Decode_i_L0+0, 0 
	MOVWF       R0 
	MOVF        Decode_i_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	BTFSC       Decode_i_L0+1, 7 
	MOVLW       255
	MOVWF       R2 
	MOVWF       R3 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R2, 1 
	RLCF        R3, 1 
	MOVLW       Decode_CapitalLetters_L0+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(Decode_CapitalLetters_L0+0)
	ADDWFC      R1, 1 
	MOVLW       higher_addr(Decode_CapitalLetters_L0+0)
	ADDWFC      R2, 1 
	MOVLW       1
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	GOTO        L_end_Decode
L_Decode30:
;PS2IntDecoder.c,311 :: 		for (i=0; i<26; i++){             // Look for a capital letter only
	INFSNZ      Decode_i_L0+0, 1 
	INCF        Decode_i_L0+1, 1 
;PS2IntDecoder.c,314 :: 		}
	GOTO        L_Decode27
L_Decode28:
;PS2IntDecoder.c,315 :: 		}
L_Decode26:
;PS2IntDecoder.c,316 :: 		for (i=0; i<67; i++){               // Look for the character
	CLRF        Decode_i_L0+0 
	CLRF        Decode_i_L0+1 
L_Decode31:
	MOVLW       128
	XORWF       Decode_i_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__Decode46
	MOVLW       67
	SUBWF       Decode_i_L0+0, 0 
L__Decode46:
	BTFSC       STATUS+0, 0 
	GOTO        L_Decode32
;PS2IntDecoder.c,317 :: 		if(scan_code == scan_codes[i][0])
	MOVLW       3
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVWF       R2 
	MOVWF       R3 
	MOVF        Decode_i_L0+0, 0 
	MOVWF       R4 
	MOVF        Decode_i_L0+1, 0 
	MOVWF       R5 
	MOVLW       0
	BTFSC       Decode_i_L0+1, 7 
	MOVLW       255
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVLW       _scan_codes+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_scan_codes+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_scan_codes+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R1
	MOVF        FARG_Decode_scan_code+0, 0 
	XORWF       R1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L_Decode34
;PS2IntDecoder.c,318 :: 		break;
	GOTO        L_Decode32
L_Decode34:
;PS2IntDecoder.c,316 :: 		for (i=0; i<67; i++){               // Look for the character
	INFSNZ      Decode_i_L0+0, 1 
	INCF        Decode_i_L0+1, 1 
;PS2IntDecoder.c,319 :: 		}
	GOTO        L_Decode31
L_Decode32:
;PS2IntDecoder.c,320 :: 		if(shifted){                        // If SHIFT key detected,
	MOVF        _shifted+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_Decode35
;PS2IntDecoder.c,321 :: 		return(scan_codes[i][2]);         // return corresponding symbol or capital letter
	MOVLW       3
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVWF       R2 
	MOVWF       R3 
	MOVF        Decode_i_L0+0, 0 
	MOVWF       R4 
	MOVF        Decode_i_L0+1, 0 
	MOVWF       R5 
	MOVLW       0
	BTFSC       Decode_i_L0+1, 7 
	MOVLW       255
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVLW       _scan_codes+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_scan_codes+0)
	ADDWFC      R1, 1 
	MOVLW       higher_addr(_scan_codes+0)
	ADDWFC      R2, 1 
	MOVLW       2
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	GOTO        L_end_Decode
;PS2IntDecoder.c,322 :: 		}
L_Decode35:
;PS2IntDecoder.c,324 :: 		return(scan_codes[i][1]);         // return corresponding letter or symbol assigned
	MOVLW       3
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVWF       R2 
	MOVWF       R3 
	MOVF        Decode_i_L0+0, 0 
	MOVWF       R4 
	MOVF        Decode_i_L0+1, 0 
	MOVWF       R5 
	MOVLW       0
	BTFSC       Decode_i_L0+1, 7 
	MOVLW       255
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVLW       _scan_codes+0
	ADDWF       R0, 1 
	MOVLW       hi_addr(_scan_codes+0)
	ADDWFC      R1, 1 
	MOVLW       higher_addr(_scan_codes+0)
	ADDWFC      R2, 1 
	MOVLW       1
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       0
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       0
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
;PS2IntDecoder.c,326 :: 		}
L_end_Decode:
	RETURN      0
; end of _Decode

_StoreKeyData:

;PS2IntDecoder.c,331 :: 		void StoreKeyData(char valueToStore){
;PS2IntDecoder.c,332 :: 		rxBuffer[inPoint]=valueToStore;
	MOVLW       _rxBuffer+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_rxBuffer+0)
	MOVWF       FSR1H 
	MOVF        _inPoint+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVF        FARG_StoreKeyData_valueToStore+0, 0 
	MOVWF       POSTINC1+0 
;PS2IntDecoder.c,333 :: 		inPoint++;                          // Increment the pointer at the rx buffer
	INCF        _inPoint+0, 1 
;PS2IntDecoder.c,334 :: 		}
L_end_StoreKeyData:
	RETURN      0
; end of _StoreKeyData

_TransmitrxBuffer:

;PS2IntDecoder.c,339 :: 		void TransmitrxBuffer(void){
;PS2IntDecoder.c,340 :: 		while(outPoint != inPoint){         // Do until both pointers are at the end of the data
L_TransmitrxBuffer37:
	MOVF        _outPoint+0, 0 
	XORWF       _inPoint+0, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_TransmitrxBuffer38
;PS2IntDecoder.c,341 :: 		UART1_Write(rxBuffer[outPoint]);  // Send to the UART each character
	MOVLW       _rxBuffer+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_rxBuffer+0)
	MOVWF       FSR0H 
	MOVF        _outPoint+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;PS2IntDecoder.c,342 :: 		rxBuffer[outPoint]=" ";           // Delete the printed character
	MOVLW       _rxBuffer+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_rxBuffer+0)
	MOVWF       FSR1H 
	MOVF        _outPoint+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       ?lstr_5_PS2IntDecoder+0
	MOVWF       POSTINC1+0 
;PS2IntDecoder.c,343 :: 		outPoint++;                       // Increment printing pointer
	INCF        _outPoint+0, 1 
;PS2IntDecoder.c,344 :: 		}
	GOTO        L_TransmitrxBuffer37
L_TransmitrxBuffer38:
;PS2IntDecoder.c,345 :: 		UART1_Write(13);                    // ASCII carriage return
	MOVLW       13
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;PS2IntDecoder.c,346 :: 		UART1_Write(10);                    // ASCII line feed (new line)
	MOVLW       10
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;PS2IntDecoder.c,347 :: 		UART1_Write(13);                    // ASCII carriage return
	MOVLW       13
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;PS2IntDecoder.c,348 :: 		UART1_Write(10);                    // ASCII line feed (new line)
	MOVLW       10
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;PS2IntDecoder.c,349 :: 		inPoint = 0;                        // Initialize the storing pointer to the start of the buffer
	CLRF        _inPoint+0 
;PS2IntDecoder.c,350 :: 		outPoint = 0;                       // Initialize the printing pointer
	CLRF        _outPoint+0 
;PS2IntDecoder.c,351 :: 		}
L_end_TransmitrxBuffer:
	RETURN      0
; end of _TransmitrxBuffer
