#line 1 "C:/Users/Alex/Desktop/PICs/MikroC/Learning/Click boards/PS2 keyboard click/PS2IntDecoder/PS2IntDecoder.c"
#line 80 "C:/Users/Alex/Desktop/PICs/MikroC/Learning/Click boards/PS2 keyboard click/PS2IntDecoder/PS2IntDecoder.c"
unsigned short dataReceived;
unsigned short keyData;
unsigned short rxBuffer[256];
unsigned short inPoint;
unsigned short outPoint;
unsigned short shifted = 0;
unsigned short capslock = 0;
unsigned short released = 0;
unsigned short anotherkey = 0;




char Decode(unsigned char sc);
void StoreKeyData(char ValueToStore);
void TransmitrxBuffer(void);




const char scan_codes[][3] =
{
 0x0e,'|',' ',
 0x15,'q','Q',
 0x16,'1','!',
 0x1a,'z','Z',
 0x1b,'s','S',
 0x1c,'a','A',
 0x1d,'w','W',
 0x1e,'2','"',
 0x21,'c','C',
 0x22,'x','X',
 0x23,'d','D',
 0x24,'e','E',
 0x25,'4','$',
 0x26,'3','',
 0x29,' ',' ',
 0x2a,'v','V',
 0x2b,'f','F',
 0x2c,'t','T',
 0x2d,'r','R',
 0x2e,'5','%',
 0x31,'n','N',
 0x32,'b','B',
 0x33,'h','H',
 0x34,'g','G',
 0x35,'y','Y',
 0x36,'6','&',
 0x39,',',';',
 0x3a,'m','M',
 0x3b,'j','J',
 0x3c,'u','U',
 0x3d,'7','/',
 0x3e,'8',' ',
 0x41,',',';',
 0x42,'k','K',
 0x43,'i','I',
 0x44,'o','O',
 0x45,'0','=',
 0x46,'9',' ',
 0x49,'.',':',
 0x4a,'-','_',
 0x4b,'l','L',
 0x4c,'',' ',
 0x4d,'p','P',
 0x4e,'+','*',
 0x52,'',' ',
 0x54,'',' ',
 0x55,'\\',' ',
 0x5a,'\r','\r',
 0x5b,'',' ',
 0x5d,'\'',' ',
 0x61,'<','>',
 0x66,'\b','\b',
 0x69,'1',' ',
 0x6b,'4',' ',
 0x6c,'7',' ',
 0x70,'0',' ',
 0x71,',',' ',
 0x72,'2',' ',
 0x73,'5',' ',
 0x74,'6',' ',
 0x75,'8',' ',
 0x79,'+',' ',
 0x7a,'3',' ',
 0x7b,'-',' ',
 0x7c,'*',' ',
 0x7d,'9',' ',
 0,'\0','\0',
};






void interrupt(){
static unsigned short bitCount = 11;

 if (INT0F_bit){

 if(bitCount < 11 && bitCount > 2){
 keyData = keyData >> 1;
 if(PORTB.B3){
 keyData = keyData | 0x80;
 }
 }
 bitCount = bitCount - 1;
 if(bitCount == 0){
 bitCount = 11;
 dataReceived =  1 ;
 }
 INT0F_bit = 0;
 }
}




void main(void){
 char decodedKey;

 ANSELB = 0;
 ANSELC = 0;
 ANSELD = 0;
 SLRCON = 0;
 TRISB = 0b00001001;


 WPUB = 0b00001001 ;
 INTCON2.RBPU = 0;


 Delay_us(5);

 INTEDG0_bit = 0;
 INT0IF_bit = 0;
 INT0IE_bit = 1;
 GIE_bit = 1;

 UART1_Init(9600);
 Delay_ms(100);

 dataReceived =  0 ;
 keyData=0;
 inPoint=0;
 outPoint=0;

 UART1_Write_Text("\r\nPC AT Keyboard Interface Ver 1.0 by XP8100\r\n");
 UART1_Write_Text("Adapted for PIC by Redraven\r\n");
 UART1_Write_Text("Adapted for MikroC and PIC18F45K22 by AlexBG\r\n");
 UART1_Write_Text("PS/2 keyboard monitoring and decoder enabled...\r\n");

 while(1){
 if(dataReceived){
 switch(keyData){



 case 0x12:
 case 0x59:
 shifted = 1;
 break;
 case 0x58:
 capslock = ~ capslock;
 break;


 case 0x5A:
 UART1_Write(13);
 UART1_Write(10);
 TransmitrxBuffer();
 break;
 case 0xF0:
 if(shifted && anotherkey)
 anotherkey = 0;
 else
 if(shifted)
 shifted = 0;
 break;

 default:
 if(shifted)
 anotherkey = 1;
 decodedKey = Decode(keyData);
 StoreKeyData(decodedKey);
 UART1_Write(decodedKey);
 break;
 }
 Delay_ms(10);
 keyData = 0x00;
 dataReceived =  0 ;
 }
 }
}




char Decode(unsigned short scan_code){
 int i;
 const char CapitalLetters[26][2] =
 {0x1C, 'A',
 0x32, 'B',
 0x21, 'C',
 0x23, 'D',
 0x24, 'E',
 0x2B, 'F',
 0x34, 'G',
 0x33, 'H',
 0x43, 'I',
 0x3B, 'J',
 0x42, 'K',
 0x4B, 'L',
 0x3A, 'M',
 0x31, 'N',
 0x44, 'O',
 0x4D, 'P',
 0x15, 'Q',
 0x2D, 'R',
 0x1B, 'S',
 0x2C, 'T',
 0x3C, 'U',
 0x2A, 'V',
 0x1D, 'W',
 0x22, 'X',
 0x35, 'Y',
 0x1A, 'Z'
 };

 if(capslock){
 for (i=0; i<26; i++){
 if(scan_code == CapitalLetters[i][0])
 return(CapitalLetters[i][1]);
 }
 }
 for (i=0; i<67; i++){
 if(scan_code == scan_codes[i][0])
 break;
 }
 if(shifted){
 return(scan_codes[i][2]);
 }
 else{
 return(scan_codes[i][1]);
 }
}




void StoreKeyData(char valueToStore){
 rxBuffer[inPoint]=valueToStore;
 inPoint++;
}




void TransmitrxBuffer(void){
 while(outPoint != inPoint){
 UART1_Write(rxBuffer[outPoint]);
 rxBuffer[outPoint]=" ";
 outPoint++;
 }
 UART1_Write(13);
 UART1_Write(10);
 UART1_Write(13);
 UART1_Write(10);
 inPoint = 0;
 outPoint = 0;
}
